> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save bookkeepers

> Save new (or update existing) bookkeepers



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/bookkeepers
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/bookkeepers:
    post:
      tags:
        - Bookkeepers
      summary: Save bookkeepers
      description: Save new (or update existing) bookkeepers
      operationId: postBookkeepers
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultiParamBookkeeperPostDto'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseBookkeeperGetDto'
        '207':
          description: >-
            Some bookkeepers failed to save. See response body for error
            details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseBookkeeperGetDto'
        '400':
          description: All bookkeepers failed to save.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseBookkeeperGetDto'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    MultiParamBookkeeperPostDto:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BookkeeperPostDto'
    ResponseListMultiResponseBookkeeperGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/MultiResponseBookkeeperGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    BookkeeperPostDto:
      type: object
      properties:
        id:
          type: string
          description: Id of the accountant, required when updating an existing accountant
          example: bkpr_28868401
        userId:
          type: string
          description: Id of the user associated with the accountant
          nullable: false
          example: usr_28868401
        email:
          type: string
          description: Email address of the accountant
          nullable: false
          example: accountant@example.com
        firstName:
          type: string
          description: First name of the accountant
          nullable: false
          example: Jane
        lastName:
          type: string
          description: Last name of the accountant
          nullable: false
          example: Smith
        role:
          type: string
          description: Role of the accountant
          nullable: false
          example: ACCOUNTANT
          enum:
            - ADMIN
            - ACCOUNTANT
            - BOOKKEEPER
            - SUPPORT
        status:
          type: string
          description: Status of the accountant
          nullable: false
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
    MultiResponseBookkeeperGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        statusCode:
          $ref: '#/components/schemas/HttpStatus'
        data:
          $ref: '#/components/schemas/BookkeeperGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    HttpStatus:
      type: integer
      description: The HTTP status code for the action performed.
      format: int32
      enum:
        - 200
        - 400
        - 401
        - 403
        - 404
        - 500
    BookkeeperGetDto:
      required:
        - email
        - firstName
        - id
        - lastName
        - role
        - status
        - userId
      type: object
      properties:
        id:
          type: string
          description: Id of the accountant
          example: bkpr_28868401
        userId:
          type: string
          description: Id of the user associated with the accountant
          example: usr_28868401
        email:
          type: string
          description: Email address of the accountant
          example: accountant@example.com
        firstName:
          type: string
          description: First name of the accountant
          example: Jane
        lastName:
          type: string
          description: Last name of the accountant
          example: Smith
        role:
          type: string
          description: Role of the accountant
          example: ACCOUNTANT
          enum:
            - ADMIN
            - ACCOUNTANT
            - BOOKKEEPER
            - SUPPORT
        status:
          type: string
          description: Status of the accountant
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
      description: The data generated by the action performed.
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````